var app = getApp()
var that;
var animation;
Page({
  data: {
    members: '',//用户id
    userName: '',//用户名称
    items: [{//录入选项列表
      checked: true,//判断是否开启指定规则
      rule_id: '',//积分分类id
      item_id: '',//积分细则id 不选可以为0
      point: '',//录入积分可为正负值，不能为0
      remark: '',//备注
      event_time: '',//事件时间
      pt_id: '',//积分种类id
      reviewer_id: '',//审核人ID
      revieweName: '',//审批人姓名（非传）
      files: '',//附件数组列表
    }],
    animationInfo:'',
    isShowType:true,//是显示选择规则还是显示选择分类
  },
  onLoad() {
    that = this;
    dd.setNavigationBar({ title: "奖扣A分" });
  },
  onShow(){
    animation = dd.createAnimation({
          duration:400,
          timeFunction: "linear",
    });
  },
  //关闭规则
  onCloseAnimation() {
    animation.translateY(750).step();
    that.setData({
      animationInfo: animation.export()
    });
  },
  //选择规则
  openSelect(e) {
    that.setData({
      isShowType:e.target.dataset.is,
    });
    animation.translateY(0).step();
    that.setData({
      animationInfo: animation.export()
    });
  },
  //删除图片
  deteleImg(e) {
    var { itemIndx, index } = e.target.dataset;
    var files = that.data.items[itemIndx].files;//获取itemS集合中对应的files
    var files_box = `items[${itemIndx}].files`;//
    app.globalData.arrRemoveObj(files, files[index]);
    that.setData({
      [files_box]: files
    });

  },
  //图片选择
  openImg(e) {
    var index = e.target.dataset.index;
    var files = that.data.items[index].files;
    var files_box = `items[${index}].files`;
    if (files.length >= 3) {
      app.globalData.showToast("最多能选择三张!");
      return false;
    }
    dd.chooseImage({
      count: 3,
      success: (res) => {
        that.setData({
          [files_box]: res.filePaths
        });
        console.log(that.data.items);
        // dd.uploadFile({
        //   url: '请使用自己服务器地址',
        //   fileType: 'image',
        //   fileName: 'file',
        //   filePath: '...',
        //   success: (res) => {

        //   },
        // });
      },
    });
  },
  //备注输入
  bindTextAreaBlur: function (e) {
    var index = e.target.dataset.index;
    var remark = `items[${index}].remark`
    this.setData({
      [remark]: e.detail.value,
    });
  },
  //积分输入
  bindKeyInput(e) {
    var index = e.target.dataset.index;
    var point = `items[${index}].point`
    this.setData({
      [point]: e.detail.value,
    });
  },
  //选择人
  openUser(e) {
    var index = e.target.dataset.index;
    if (index != undefined) {
      var reviewer_id = `items[${index}].reviewer_id`
      var revieweName = `items[${index}].revieweName`
      dd.complexChoose({
        title: "选择录入对象",            //标题
        multiple: false,            //是否多选
        limitTips: "超出了",          //超过限定人数返回提示
        maxUsers: 1000,            //最大可选人数
        pickedUsers: [],            //已选用户
        pickedDepartments: [],          //已选部门
        disabledUsers: [],            //不可选用户
        disabledDepartments: [],        //不可选部门
        requiredUsers: [],            //必选用户（不可取消选中状态）
        requiredDepartments: [],        //必选部门（不可取消选中状态）
        permissionType: "GLOBAL",          //可添加权限校验，选人权限，目前只有GLOBAL这个参数
        responseUserOnly: false,        //返回人，或者返回人和部门
        success: function (res) {
          that.setData({
            [reviewer_id]: res.users[0].userId,
            [revieweName]: res.users[0].name,//用户名称
          })
        },
        fail: function (err) {
        }
      })
    } else {
      dd.complexChoose({
        title: "选择录入对象",            //标题
        multiple: false,            //是否多选
        limitTips: "超出了",          //超过限定人数返回提示
        maxUsers: 1000,            //最大可选人数
        pickedUsers: [],            //已选用户
        pickedDepartments: [],          //已选部门
        disabledUsers: [],            //不可选用户
        disabledDepartments: [],        //不可选部门
        requiredUsers: [],            //必选用户（不可取消选中状态）
        requiredDepartments: [],        //必选部门（不可取消选中状态）
        permissionType: "GLOBAL",          //可添加权限校验，选人权限，目前只有GLOBAL这个参数
        responseUserOnly: false,        //返回人，或者返回人和部门
        success: function (res) {
          that.setData({
            members: res.users[0].userId,
            userName: res.users[0].name,//用户名称
          })
        },
        fail: function (err) {
        }
      })
    }
  },
  //删除一条
  deleteArr(e) {
    var index = e.target.dataset.index;
    var list = that.data.items;
    app.globalData.arrRemoveObj(list, list[index]);
    that.setData({
      items: list
    })
    console.log(that.data.items);
  },
  //添加一条
  addArr() {
    var arr = {//录入选项列表
      checked: true,
      rule_id: '',
      item_id: '',
      point: '',
      remark: '',
      event_time: '',
      pt_id: '',
      reviewer_id: '',
      revieweName: '',
      files: '',
    };
    var list = that.data.items
    list.push(arr);
    that.setData({
      items: list
    })
  },
  formSubmit: function (e) {
    console.log('form发生了submit事件，携带数据为：', e.detail.value)
  },
  switchChange(e) {
    var index = e.target.dataset.index;
    var item = `items[${index}].checked`
    that.setData({
      [item]: e.detail.value
    })
  },
  //选择时间
  openDate(e) {
    var index = e.target.dataset.index;
    var item = `items[${index}].event_time`
    dd.datePicker({
      format: 'yyyy-MM-dd',
      currentDate: app.globalData.day,
      success: (res) => {
        that.setData({
          [item]: res.date
        })
      },
    });
  },
});
